> For the complete documentation index, see [llms.txt](https://developer.eagle.cool/plugin-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.eagle.cool/plugin-api/ja-jp/api/notification.md).

# notification（通知）

## メソッド <a href="#z1a5y" id="z1a5y"></a>

## show(options) <a href="#tkp0d" id="tkp0d"></a>

通知ウィンドウを表示する

* `options` Object
  * `title` string - 通知ウィンドウのタイトル
  * `body` string - 通知ウィンドウの説明
  * `icon` URL/base64 - 通知ウィンドウのアイコン。リンクまたはbase64形式がサポートされています（オプション）
  * `mute` boolean - 効果音（オプション）
  * `duration` Interger - 自動的に非表示になる時間（ミリ秒）（オプション）
* 戻り値 `Promise<>`

```javascript
await eagle.notification.show({
    title: "Basic Notification",
    body: "Notification from the Plugin process",
    mute: false,
    duration: 3000,
    icon: "https://"
});
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/ja-jp/api/notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
